commit 79787d5ead314b3434a6fcd00ec898e3b27eca3f
Author: jklowden <jklowden>
Date:   Tue Jul 29 14:07:09 2008 +0000

    patch from ML on 29 July 2008 from Andrew Victor  re BLOBs as parameters

diff --git a/ChangeLog b/ChangeLog
index 3735d9d..320f437 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Tue Jul 29 09:54:23 EDT 2008	JK Lowden <jklowden@freetds.org>
+	* src/ctlib/ct.c 
+	- patch from ML on 29 July 2008 from Andrew Victor 
+	- re BLOBs as parameters
+
 Mon Jul 28 16:56:36 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* samples/odbc_rpc.pl src/odbc/error.c src/odbc/odbc.c
 	- tracking down SQLParamData behavior 
@@ -478,4 +483,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2567 2008/07/28 20:58:19 jklowden Exp $
+$Id: ChangeLog,v 1.2568 2008/07/29 14:07:09 jklowden Exp $
diff --git a/src/ctlib/ct.c b/src/ctlib/ct.c
index 2362777..2dcfb42 100644
--- a/src/ctlib/ct.c
+++ b/src/ctlib/ct.c
@@ -39,7 +39,7 @@
 #include "tdsstring.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: ct.c,v 1.180 2008/07/05 22:57:54 jklowden Exp $");
+TDS_RCSID(var, "$Id: ct.c,v 1.181 2008/07/29 14:07:09 jklowden Exp $");
 
 
 static char * ct_describe_cmd_state(CS_INT state);
@@ -3851,11 +3851,22 @@ paramrowalloc(TDSPARAMINFO * params, TDSCOLUMN * curcol, int param_num, void *va
 
 	if (size > 0 && value) {
 		/* TODO check for BLOB and numeric */
-		if (size > curcol->column_size)
+		if (size > curcol->column_size) {
+			tdsdump_log(TDS_DBG_FUNC, "paramrowalloc(): RESIZE %d to %d\n", size, curcol->column_size);
 			size = curcol->column_size;
+		}
 		/* TODO blobs */
 		if (!is_blob_type(curcol->column_type))
 			memcpy(curcol->column_data, value, size);
+		else {
+			TDSBLOB *blob = (TDSBLOB *) curcol->column_data;
+			blob->textvalue = malloc(size);
+			tdsdump_log(TDS_DBG_FUNC, "blob parameter supported, size %d textvalue pointer is %p\n",
+					size, blob->textvalue);
+			if (!blob->textvalue)
+				return NULL;
+			memcpy(blob->textvalue, value, size);
+		}
 		curcol->column_cur_size = size;
 	} else {
 		tdsdump_log(TDS_DBG_FUNC, "paramrowalloc(): setting parameter #%d to NULL\n", param_num);

